### Method

# Pango.GlyphString.get_logical_widths

#### Declaration [src]

    void
    pango_glyph_string_get_logical_widths (
      PangoGlyphString* glyphs,
      const char* text,
      int length,
      int embedding_level,
      int* logical_widths
    )

#### Description [src]

Given a `PangoGlyphString` and corresponding text, determine the width corresponding to each character.

When multiple characters compose a single cluster, the width of the entire cluster is divided equally among the characters.

See also `pango_glyph_item_get_logical_widths()`.

#### Parameters

`text` | `const char*`
| the text corresponding to the glyphs
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `int`
| the length of `text`, in bytes
`embedding_level` | `int`
| the embedding level of the string
`logical_widths` | An array of `int`
| an array whose length is the number of characters in text (equal to g_utf8_strlen (text, length) unless text has NUL bytes) to be filled in with the resulting character widths.
| Ownership is not transferred to the callee